<?xml version="1.0" encoding="UTF-8"?>
<!--

    Copyright (c) 2021, 2024 Contributors to the Eclipse Foundation

    This program and the accompanying materials are made
    available under the terms of the Eclipse Public License 2.0
    which is available at https://www.eclipse.org/legal/epl-2.0/

    SPDX-License-Identifier: EPL-2.0

-->
<?eclipse version="3.4"?>
<fragment>
   <extension
         point="org.eclipse.ui.menus">
      <menuContribution
            allPopups="false"
            locationURI="popup:#TextEditorContext?before=xtext.ui.openDeclaration">
         <menu
               id="org.eclipse.lsat.common.sirius.open"
               label="Open">
            <dynamic
                  class="org.eclipse.lsat.common.sirius_xtext.ui.OpenSiriusMenu"
                  id="org.eclipse.lsat.common.sirius_xtext.ui.OpenSiriusMenu">
            </dynamic>
            <visibleWhen
                  checkEnabled="false">
               <with
                     variable="activeEditor">
                  <instanceof
                        value="org.eclipse.xtext.ui.editor.XtextEditor">
                  </instanceof>
               </with>
            </visibleWhen>
         </menu>
      </menuContribution>
   </extension>

</fragment>
